PLOAD(1)

NAME
pload - display ppp throughput statistics in an X window

SYNOPSIS
pload    [-toolkitoption ...] [-minscale n] [-indiv n]
[-outdiv n] [-logscale] [-jumpscroll n] [-update n] [-in] [-out] [-horiz] [-nolabel] [-nochart] [-average n] [-device X] [-hl color] [-incolor color] [-outcolor color] [-noproc] [-ncmsg message] [-iformat fmt] [-oformat fmt]

DESCRIPTION
The pload program displays information about network interface (ppp) statistics. Additionally, for Linux 2.2 it can display statistics for any interface that reports to /proc/net/dev .

OPTIONS

Pload accepts all of the standard X Toolkit command line options (see X(1)). The order of the options in unimportant. Additionally, pload accepts the following options:

-minscale n
    The minscale option sets the minimum integer number of scale lines to display. The number of divisions will not go below the number specified. The default is 1.

-indiv n
    Show dividing lines for a rate of n bytes per second for received data. The default is to show a line every 1024 bytes per second (1 k/s).

-outdiv n
    Show dividing lines for a rate of n bytes per second for sent data. The default is to show a line every 1024 bytes per second (1 k/s).

-logscale
    The logscale option enables graphing the base 10 logarithm of the rates. This is most useful for high bandwith devices like ethernet. The -indiv and -outdiv options interact with this option: a scale line will be drawn for 10*div, 100*div, 1000*div, ... bytes. The default is to graph linearly.

-jumpscroll n
    This option sets number of pixels to shift to the left when the graph reaches the right edge of the window. Smooth scrolling is achieved by the default setting of 1.

-update n
    The displayed charts are updated every integer n seconds. The default is to update every 1 seconds.

-in Only show the chart for received data.

-out
    Only show the chart for sent data. Default action is to show both charts.

-horiz
    Display side by side. Default is to display vertically.

-nolabel
    This option suppresses the normal display of the total bytes and current rate label.

-nochart
    Don't show the charts. If -nolabel is not set, pload will only show the text labels. If -nolabel and -nochart are set, pload won't do anything.

-average n
    Average or smooth over n number of samples in the calculations of the current rates for the displayed graphs. The default is to average over 10 points. For a more instantaneous response this can be set to 1.

-device X
    Monitor this device. The default is ppp0.

-hl color
    This option specifies the color of the scale lines.

-incolor color
    Set the foreground color for the inbound chart to color. The default is red.

-outcolor color
    Set the foreground color for the outbound chart to color. The default is darkgreen.

-fg color
    Set the form foreground color to color.

-bg color
    Set the background color to color.

-fn fontspec
    Set the label font to fontspec.

-noproc
    This option is only valid for Linux >=2.2. It disables the default usage of the proc filesystem for gathering device statistics. The more portable ioctl() method is used instead. When -noproc is specified only ppp stats can be read.

-ncmsg message
    Display message in the labels when offline. The default is "No Connection".

-iformat fmt
    Use string fmt for the inbound label. The fmt string will be displayed literally with the special tags %t %r and %M expanding to the interface total, current rate, and maximum rate respectively. The default is "%t %r in".

-oformat fmt
    Same as -iformat but for out bound data. The default is "%t %r out".

RESOURCES
All of the options available above and more can be set using the resources of the widgets in pload. The following can be added to a user .Xdefaults or system wide Pload.ad file. Additional customisation can be accomplished by examining the running executable with editres(1).

	Pload*update		:	1
	Pload*ichart.foreground	:	red
	Pload*ichart.jumpScroll	:	1
	Pload*ochart.foreground	:	darkgreen
	Pload*ochart.jumpScroll	:	1
	Pload*topform*borderWidth	:	0
	Pload*topform*font	:	fixed
	Pload.geometry		:	180x200
	Pload*showIn		:	True
	Pload*showOut		:	True
	Pload*device		:	ppp0
	Pload*showLabel		:	True
	Pload*showChart		:	True
	Pload*averagePoints	:	10
	Pload*inDiv		:	1024
	Pload*outDiv		:	1024
	Pload*logScale		:	False
	Pload*horiz		:	False
	Pload*useProc		:	True
	Pload*noConnectMsg	:	No Connection
	Pload*inFormat		:	%t %r in
	Pload*outFormat		:	%t %r out

SEE ALSO
pppstats(8), xload(1), X(1), editres(1)

BUGS
Resizing doesn't work right under icewm and kwm with opaque resize turned on. The labels flash. Totals seem to wrap at ULONG_MAX.

COPYRIGHT
Copyright (C) 1999,2000 Matt Smith

AUTHOR
Pload was written by Matt Smith <mdsmith@engr.utk.edu> with ideas and help from Christian Bauer, Scott Berg, David Brownlee, Mathieu Clabaut, Todd Larason, and Roland Smith.